// Copyright (C) 2026 The Qt Company Ltd.
// SPDX-License-Identifier: LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only
// Qt-Security score:significant reason:default

#ifndef QORGANIZERITEMEXTENDEDDETAIL_H
#define QORGANIZERITEMEXTENDEDDETAIL_H

#include <QtOrganizer/qorganizeritemdetail.h>

QT_BEGIN_NAMESPACE_ORGANIZER

/* Leaf class */

class Q_ORGANIZER_EXPORT QOrganizerItemExtendedDetail : public QOrganizerItemDetail
{
public:
#ifndef Q_QDOC
    Q_DECLARE_CUSTOM_ORGANIZER_DETAIL(QOrganizerItemExtendedDetail, QOrganizerItemDetail::TypeExtendedDetail)
#endif

    enum ExtendedDetailField {
        FieldName = TypeExtendedDetail + 1,
        FieldData
    };

    void setName(const QString &name);
    QString name() const;

    void setData(const QVariant &data);
    QVariant data() const;
};

QT_END_NAMESPACE_ORGANIZER

#endif // QORGANIZERITEMEXTENDEDDETAIL_H
